Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.utils
Class PortalDocumentImpl

    java.lang.Object
      org.jasig.portal.utils.PortalDocumentImpl

All Implemented Interfaces:
  IPortalDocument, org.w3c.dom.Document, org.w3c.dom.Node

Deprecated. use w3c DOM level 3 Documents directly instead.

    public class PortalDocumentImpl

extends java.lang.Object
implements IPortalDocument

An implementation of IPortalDocument that wraps a standard `Document` object. As of uPortal 2.5, DOM 3 core Document objects are available in uPortal. Please use those directly. There is no longer any reason to be using this class.

Version:
  $Revision: 1.17 $
Author:
  Nick Bolton
See Also:
  `for decorator method descriptions.`

Field Summary
`org.w3c.dom.Document` | `document` Deprecated.
`private static org.apache.commons.logging.Log` | `log` Deprecated.

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`PortalDocumentImpl()` Deprecated.
`PortalDocumentImpl(org.w3c.dom.Document doc)` Deprecated.

Method Summary
`org.w3c.dom.Node` | `adoptNode(org.w3c.dom.Node arg0)` Deprecated.
`org.w3c.dom.Node` | `appendChild(org.w3c.dom.Node newChild)` Deprecated.
`org.w3c.dom.Node` | `cloneNode(boolean deep)` Deprecated.
`short` | `compareDocumentPosition(org.w3c.dom.Node arg0)` Deprecated.
`void` | `copyCache(IPortalDocument sourceDoc)` Deprecated. Prior to uPortal 2.5: Copied the element cache from the source document.
`org.w3c.dom.Attr` | `createAttribute(java.lang.String name)` Deprecated.
`org.w3c.dom.Attr` | `createAttributeNS(java.lang.String namespaceURI, java.lang.String qualifiedName)` Deprecated.
`org.w3c.dom.CDATASection` | `createCDATASection(java.lang.String data)` Deprecated.
`org.w3c.dom.Comment` | `createComment(java.lang.String data)` Deprecated.
`org.w3c.dom.DocumentFragment` | `createDocumentFragment()` Deprecated.
`org.w3c.dom.Element` | `createElement(java.lang.String tagName)` Deprecated.
`org.w3c.dom.Element` | `createElementNS(java.lang.String namespaceURI, java.lang.String qualifiedName)` Deprecated.
`org.w3c.dom.EntityReference` | `createEntityReference(java.lang.String name)` Deprecated.
`org.w3c.dom.ProcessingInstruction` | `createProcessingInstruction(java.lang.String target, java.lang.String data)` Deprecated.
`org.w3c.dom.Text` | `createTextNode(java.lang.String data)` Deprecated.
`boolean` | `equals(java.lang.Object obj)` Deprecated.
`org.w3c.dom.NamedNodeMap` | `getAttributes()` Deprecated.
`java.lang.String` | `getBaseURI()` Deprecated.
`org.w3c.dom.NodeList` | `getChildNodes()` Deprecated.
`org.w3c.dom.DocumentType` | `getDoctype()` Deprecated.
`org.w3c.dom.Element` | `getDocumentElement()` Deprecated.
`java.lang.String` | `getDocumentURI()` Deprecated.
`org.w3c.dom.DOMConfiguration` | `getDomConfig()` Deprecated.
`org.w3c.dom.Element` | `getElementById(java.lang.String key)` Deprecated.
`org.w3c.dom.NodeList` | `getElementsByTagName(java.lang.String tagname)` Deprecated.
`org.w3c.dom.NodeList` | `getElementsByTagNameNS(java.lang.String namespaceURI, java.lang.String localName)` Deprecated.
`java.lang.Object` | `getFeature(java.lang.String arg0, java.lang.String arg1)` Deprecated.
`org.w3c.dom.Node` | `getFirstChild()` Deprecated.
`java.util.Hashtable` | `getIdentifiers()` Deprecated. Get a Hashtable mapping from identifier Strings to the identified nodes.
`private java.util.Map` | `getIdentifiers(org.w3c.dom.Element elem)` Deprecated. Internal helper method which recursively traverses an Element tree extracting a Map from ID attribute strings to Elements they identify.
`org.w3c.dom.DOMImplementation` | `getImplementation()` Deprecated.
`java.lang.String` | `getInputEncoding()` Deprecated.
`org.w3c.dom.Node` | `getLastChild()` Deprecated.
`java.lang.String` | `getLocalName()` Deprecated.
`java.lang.String` | `getNamespaceURI()` Deprecated.
`org.w3c.dom.Node` | `getNextSibling()` Deprecated.
`java.lang.String` | `getNodeName()` Deprecated.
`short` | `getNodeType()` Deprecated.
`java.lang.String` | `getNodeValue()` Deprecated.
`org.w3c.dom.Document` | `getOwnerDocument()` Deprecated.
`org.w3c.dom.Node` | `getParentNode()` Deprecated.
`java.lang.String` | `getPrefix()` Deprecated.
`org.w3c.dom.Node` | `getPreviousSibling()` Deprecated.
`boolean` | `getStrictErrorChecking()` Deprecated.
`java.lang.String` | `getTextContent()` Deprecated.
`java.lang.Object` | `getUserData(java.lang.String arg0)` Deprecated.
`java.lang.String` | `getXmlEncoding()` Deprecated.
`boolean` | `getXmlStandalone()` Deprecated.
`java.lang.String` | `getXmlVersion()` Deprecated.
`boolean` | `hasAttributes()` Deprecated.
`boolean` | `hasChildNodes()` Deprecated.
`int` | `hashCode()` Deprecated.
`org.w3c.dom.Node` | `importNode(org.w3c.dom.Node importedNode, boolean deep)` Deprecated.
`org.w3c.dom.Node` | `insertBefore(org.w3c.dom.Node newChild, org.w3c.dom.Node refChild)` Deprecated.
`boolean` | `isDefaultNamespace(java.lang.String arg0)` Deprecated.
`boolean` | `isEqualNode(org.w3c.dom.Node arg0)` Deprecated.
`boolean` | `isSameNode(org.w3c.dom.Node arg0)` Deprecated.
`boolean` | `isSupported(java.lang.String feature, java.lang.String version)` Deprecated.
`java.lang.String` | `lookupNamespaceURI(java.lang.String arg0)` Deprecated.
`java.lang.String` | `lookupPrefix(java.lang.String arg0)` Deprecated.
`void` | `normalize()` Deprecated.
`void` | `normalizeDocument()` Deprecated.
`void` | `putIdentifier(java.lang.String key, org.w3c.dom.Element element)` Deprecated. Prior to uPortal 2.5, registered an identifier name with a specified element.
`org.w3c.dom.Node` | `removeChild(org.w3c.dom.Node oldChild)` Deprecated.
`org.w3c.dom.Node` | `renameNode(org.w3c.dom.Node arg0, java.lang.String arg1, java.lang.String arg2)` Deprecated.
`org.w3c.dom.Node` | `replaceChild(org.w3c.dom.Node newChild, org.w3c.dom.Node oldChild)` Deprecated.
`void` | `setDocumentURI(java.lang.String arg0)` Deprecated.
`void` | `setIdentifiers(java.util.Hashtable identifiers)` Deprecated. Prior to uPortal 2.5, was used to manage mapping from identifier Strings to identified nodes.
`void` | `setNodeValue(java.lang.String nodeValue)` Deprecated.
`void` | `setPrefix(java.lang.String prefix)` Deprecated.
`void` | `setStrictErrorChecking(boolean arg0)` Deprecated.
`void` | `setTextContent(java.lang.String arg0)` Deprecated.
`java.lang.Object` | `setUserData(java.lang.String arg0, java.lang.Object arg1, org.w3c.dom.UserDataHandler arg2)` Deprecated.
`void` | `setXmlStandalone(boolean arg0)` Deprecated.
`void` | `setXmlVersion(java.lang.String arg0)` Deprecated.
`java.lang.String` | `toString()` Deprecated.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

  Deprecated.

### document

    public org.w3c.dom.Document document

  Deprecated.

Constructor Detail

### PortalDocumentImpl

    PortalDocumentImpl()

  Deprecated.

### PortalDocumentImpl

    PortalDocumentImpl(org.w3c.dom.Document doc)

  Deprecated.

Method Detail

### getIdentifiers

    public final java.util.Hashtable getIdentifiers()

  Deprecated.
  Get a Hashtable mapping from identifier Strings to the identified nodes.

  Returns:
    a Hashtable from Strings to nodes.

### getIdentifiers

    private java.util.Map getIdentifiers(org.w3c.dom.Element elem)

  Deprecated.
  Internal helper method which recursively traverses an Element tree extracting a Map from ID attribute strings to Elements they identify.

  Parameters:
    `elem` -
  Returns:
    a Map from identifier String to identified elements

### setIdentifiers

    public final void setIdentifiers(java.util.Hashtable identifiers)

  Deprecated.
  Prior to uPortal 2.5, was used to manage mapping from identifier Strings to identified nodes. No longer supported in uPortal 2.5. This method no longer does anything other than log its having been invoked.

  Parameters:
    `identifiers` -

### putIdentifier

    public void putIdentifier(java.lang.String key,
                              org.w3c.dom.Element element)
                       throws org.w3c.dom.DOMException

  Deprecated.
  Prior to uPortal 2.5, registered an identifier name with a specified element. As of uPortal 2.5, this method no longer has any effect.

  Specified by:
    `putIdentifier` in interface `IPortalDocument`
  Parameters:
    `key` - a key used to store an `Element` object.
    `element` - an `Element` object to map.
  Throws:
    `org.w3c.dom.DOMException` - No longer throws this exception.

### copyCache

    public void copyCache(IPortalDocument sourceDoc)

  Deprecated.
  Prior to uPortal 2.5: Copied the element cache from the source document. This provided equivalent mappings from IDs to elements in this document provided the elements exist in the source document. If no element exists, it will be skipped. As of uPortal 2.5, this method no longer has any effect.

  Specified by:
    `copyCache` in interface `IPortalDocument`
  Parameters:
    `sourceDoc` - The source doc to copy from.

### getElementById

    public org.w3c.dom.Element getElementById(java.lang.String key)

  Deprecated.
  Specified by:
    `getElementById` in interface `org.w3c.dom.Document`

### getDoctype

    public org.w3c.dom.DocumentType getDoctype()

  Deprecated.
  Specified by:
    `getDoctype` in interface `org.w3c.dom.Document`

### getImplementation

    public org.w3c.dom.DOMImplementation getImplementation()

  Deprecated.
  Specified by:
    `getImplementation` in interface `org.w3c.dom.Document`

### getDocumentElement

    public org.w3c.dom.Element getDocumentElement()

  Deprecated.
  Specified by:
    `getDocumentElement` in interface `org.w3c.dom.Document`

### createElement

    public org.w3c.dom.Element createElement(java.lang.String tagName)
                                      throws org.w3c.dom.DOMException

  Deprecated.
  Specified by:
    `createElement` in interface `org.w3c.dom.Document`
  Throws:
    `org.w3c.dom.DOMException`

### createDocumentFragment

    public org.w3c.dom.DocumentFragment createDocumentFragment()

  Deprecated.
  Specified by:
    `createDocumentFragment` in interface `org.w3c.dom.Document`

### createTextNode

    public org.w3c.dom.Text createTextNode(java.lang.String data)

  Deprecated.
  Specified by:
    `createTextNode` in interface `org.w3c.dom.Document`

### createComment

    public org.w3c.dom.Comment createComment(java.lang.String data)

  Deprecated.
  Specified by:
    `createComment` in interface `org.w3c.dom.Document`

### createCDATASection

    public org.w3c.dom.CDATASection createCDATASection(java.lang.String data)
                                                throws org.w3c.dom.DOMException

  Deprecated.
  Specified by:
    `createCDATASection` in interface `org.w3c.dom.Document`
  Throws:
    `org.w3c.dom.DOMException`

### createProcessingInstruction

    public org.w3c.dom.ProcessingInstruction createProcessingInstruction(java.lang.String target,
                                                                         java.lang.String data)
                                                                  throws org.w3c.dom.DOMException

  Deprecated.
  Specified by:
    `createProcessingInstruction` in interface `org.w3c.dom.Document`
  Throws:
    `org.w3c.dom.DOMException`

### createAttribute

    public org.w3c.dom.Attr createAttribute(java.lang.String name)
                                     throws org.w3c.dom.DOMException

  Deprecated.
  Specified by:
    `createAttribute` in interface `org.w3c.dom.Document`
  Throws:
    `org.w3c.dom.DOMException`

### createEntityReference

    public org.w3c.dom.EntityReference createEntityReference(java.lang.String name)
                                                      throws org.w3c.dom.DOMException

  Deprecated.
  Specified by:
    `createEntityReference` in interface `org.w3c.dom.Document`
  Throws:
    `org.w3c.dom.DOMException`

### getElementsByTagName

    public org.w3c.dom.NodeList getElementsByTagName(java.lang.String tagname)

  Deprecated.
  Specified by:
    `getElementsByTagName` in interface `org.w3c.dom.Document`

### importNode

    public org.w3c.dom.Node importNode(org.w3c.dom.Node importedNode,
                                       boolean deep)
                                throws org.w3c.dom.DOMException

  Deprecated.
  Specified by:
    `importNode` in interface `org.w3c.dom.Document`
  Throws:
    `org.w3c.dom.DOMException`

### createElementNS

    public org.w3c.dom.Element createElementNS(java.lang.String namespaceURI,
                                               java.lang.String qualifiedName)
                                        throws org.w3c.dom.DOMException

  Deprecated.
  Specified by:
    `createElementNS` in interface `org.w3c.dom.Document`
  Throws:
    `org.w3c.dom.DOMException`

### createAttributeNS

    public org.w3c.dom.Attr createAttributeNS(java.lang.String namespaceURI,
                                              java.lang.String qualifiedName)
                                       throws org.w3c.dom.DOMException

  Deprecated.
  Specified by:
    `createAttributeNS` in interface `org.w3c.dom.Document`
  Throws:
    `org.w3c.dom.DOMException`

### getElementsByTagNameNS

    public org.w3c.dom.NodeList getElementsByTagNameNS(java.lang.String namespaceURI,
                                                       java.lang.String localName)

  Deprecated.
  Specified by:
    `getElementsByTagNameNS` in interface `org.w3c.dom.Document`

### getNodeName

    public java.lang.String getNodeName()

  Deprecated.
  Specified by:
    `getNodeName` in interface `org.w3c.dom.Node`

### getNodeValue

    public java.lang.String getNodeValue()
                                  throws org.w3c.dom.DOMException

  Deprecated.
  Specified by:
    `getNodeValue` in interface `org.w3c.dom.Node`
  Throws:
    `org.w3c.dom.DOMException`

### setNodeValue

    public void setNodeValue(java.lang.String nodeValue)
                      throws org.w3c.dom.DOMException

  Deprecated.
  Specified by:
    `setNodeValue` in interface `org.w3c.dom.Node`
  Throws:
    `org.w3c.dom.DOMException`

### getNodeType

    public short getNodeType()

  Deprecated.
  Specified by:
    `getNodeType` in interface `org.w3c.dom.Node`

### getParentNode

    public org.w3c.dom.Node getParentNode()

  Deprecated.
  Specified by:
    `getParentNode` in interface `org.w3c.dom.Node`

### getChildNodes

    public org.w3c.dom.NodeList getChildNodes()

  Deprecated.
  Specified by:
    `getChildNodes` in interface `org.w3c.dom.Node`

### getFirstChild

    public org.w3c.dom.Node getFirstChild()

  Deprecated.
  Specified by:
    `getFirstChild` in interface `org.w3c.dom.Node`

### getLastChild

    public org.w3c.dom.Node getLastChild()

  Deprecated.
  Specified by:
    `getLastChild` in interface `org.w3c.dom.Node`

### getPreviousSibling

    public org.w3c.dom.Node getPreviousSibling()

  Deprecated.
  Specified by:
    `getPreviousSibling` in interface `org.w3c.dom.Node`

### getNextSibling

    public org.w3c.dom.Node getNextSibling()

  Deprecated.
  Specified by:
    `getNextSibling` in interface `org.w3c.dom.Node`

### getAttributes

    public org.w3c.dom.NamedNodeMap getAttributes()

  Deprecated.
  Specified by:
    `getAttributes` in interface `org.w3c.dom.Node`

### getOwnerDocument

    public org.w3c.dom.Document getOwnerDocument()

  Deprecated.
  Specified by:
    `getOwnerDocument` in interface `org.w3c.dom.Node`

### insertBefore

    public org.w3c.dom.Node insertBefore(org.w3c.dom.Node newChild,
                                         org.w3c.dom.Node refChild)
                                  throws org.w3c.dom.DOMException

  Deprecated.
  Specified by:
    `insertBefore` in interface `org.w3c.dom.Node`
  Throws:
    `org.w3c.dom.DOMException`

### replaceChild

    public org.w3c.dom.Node replaceChild(org.w3c.dom.Node newChild,
                                         org.w3c.dom.Node oldChild)
                                  throws org.w3c.dom.DOMException

  Deprecated.
  Specified by:
    `replaceChild` in interface `org.w3c.dom.Node`
  Throws:
    `org.w3c.dom.DOMException`

### removeChild

    public org.w3c.dom.Node removeChild(org.w3c.dom.Node oldChild)
                                 throws org.w3c.dom.DOMException

  Deprecated.
  Specified by:
    `removeChild` in interface `org.w3c.dom.Node`
  Throws:
    `org.w3c.dom.DOMException`

### appendChild

    public org.w3c.dom.Node appendChild(org.w3c.dom.Node newChild)
                                 throws org.w3c.dom.DOMException

  Deprecated.
  Specified by:
    `appendChild` in interface `org.w3c.dom.Node`
  Throws:
    `org.w3c.dom.DOMException`

### hasChildNodes

    public boolean hasChildNodes()

  Deprecated.
  Specified by:
    `hasChildNodes` in interface `org.w3c.dom.Node`

### cloneNode

    public org.w3c.dom.Node cloneNode(boolean deep)

  Deprecated.
  Specified by:
    `cloneNode` in interface `org.w3c.dom.Node`

### normalize

    public void normalize()

  Deprecated.
  Specified by:
    `normalize` in interface `org.w3c.dom.Node`

### isSupported

    public boolean isSupported(java.lang.String feature,
                               java.lang.String version)

  Deprecated.
  Specified by:
    `isSupported` in interface `org.w3c.dom.Node`

### getNamespaceURI

    public java.lang.String getNamespaceURI()

  Deprecated.
  Specified by:
    `getNamespaceURI` in interface `org.w3c.dom.Node`

### getPrefix

    public java.lang.String getPrefix()

  Deprecated.
  Specified by:
    `getPrefix` in interface `org.w3c.dom.Node`

### setPrefix

    public void setPrefix(java.lang.String prefix)
                   throws org.w3c.dom.DOMException

  Deprecated.
  Specified by:
    `setPrefix` in interface `org.w3c.dom.Node`
  Throws:
    `org.w3c.dom.DOMException`

### getLocalName

    public java.lang.String getLocalName()

  Deprecated.
  Specified by:
    `getLocalName` in interface `org.w3c.dom.Node`

### hasAttributes

    public boolean hasAttributes()

  Deprecated.
  Specified by:
    `hasAttributes` in interface `org.w3c.dom.Node`

### toString

    public java.lang.String toString()

  Deprecated.
  Overrides:
    `toString` in class `java.lang.Object`

### adoptNode

    public org.w3c.dom.Node adoptNode(org.w3c.dom.Node arg0)
                               throws org.w3c.dom.DOMException

  Deprecated.
  Specified by:
    `adoptNode` in interface `org.w3c.dom.Document`
  Throws:
    `org.w3c.dom.DOMException`

### compareDocumentPosition

    public short compareDocumentPosition(org.w3c.dom.Node arg0)
                                  throws org.w3c.dom.DOMException

  Deprecated.
  Specified by:
    `compareDocumentPosition` in interface `org.w3c.dom.Node`
  Throws:
    `org.w3c.dom.DOMException`

### equals

    public boolean equals(java.lang.Object obj)

  Deprecated.
  Overrides:
    `equals` in class `java.lang.Object`

### getBaseURI

    public java.lang.String getBaseURI()

  Deprecated.
  Specified by:
    `getBaseURI` in interface `org.w3c.dom.Node`

### getDocumentURI

    public java.lang.String getDocumentURI()

  Deprecated.
  Specified by:
    `getDocumentURI` in interface `org.w3c.dom.Document`

### getDomConfig

    public org.w3c.dom.DOMConfiguration getDomConfig()

  Deprecated.
  Specified by:
    `getDomConfig` in interface `org.w3c.dom.Document`

### getFeature

    public java.lang.Object getFeature(java.lang.String arg0,
                                       java.lang.String arg1)

  Deprecated.
  Specified by:
    `getFeature` in interface `org.w3c.dom.Node`

### getInputEncoding

    public java.lang.String getInputEncoding()

  Deprecated.
  Specified by:
    `getInputEncoding` in interface `org.w3c.dom.Document`

### getStrictErrorChecking

    public boolean getStrictErrorChecking()

  Deprecated.
  Specified by:
    `getStrictErrorChecking` in interface `org.w3c.dom.Document`

### getTextContent

    public java.lang.String getTextContent()
                                    throws org.w3c.dom.DOMException

  Deprecated.
  Specified by:
    `getTextContent` in interface `org.w3c.dom.Node`
  Throws:
    `org.w3c.dom.DOMException`

### getUserData

    public java.lang.Object getUserData(java.lang.String arg0)

  Deprecated.
  Specified by:
    `getUserData` in interface `org.w3c.dom.Node`

### getXmlEncoding

    public java.lang.String getXmlEncoding()

  Deprecated.
  Specified by:
    `getXmlEncoding` in interface `org.w3c.dom.Document`

### getXmlStandalone

    public boolean getXmlStandalone()

  Deprecated.
  Specified by:
    `getXmlStandalone` in interface `org.w3c.dom.Document`

### getXmlVersion

    public java.lang.String getXmlVersion()

  Deprecated.
  Specified by:
    `getXmlVersion` in interface `org.w3c.dom.Document`

### hashCode

    public int hashCode()

  Deprecated.
  Overrides:
    `hashCode` in class `java.lang.Object`

### isDefaultNamespace

    public boolean isDefaultNamespace(java.lang.String arg0)

  Deprecated.
  Specified by:
    `isDefaultNamespace` in interface `org.w3c.dom.Node`

### isEqualNode

    public boolean isEqualNode(org.w3c.dom.Node arg0)

  Deprecated.
  Specified by:
    `isEqualNode` in interface `org.w3c.dom.Node`

### isSameNode

    public boolean isSameNode(org.w3c.dom.Node arg0)

  Deprecated.
  Specified by:
    `isSameNode` in interface `org.w3c.dom.Node`

### lookupNamespaceURI

    public java.lang.String lookupNamespaceURI(java.lang.String arg0)

  Deprecated.
  Specified by:
    `lookupNamespaceURI` in interface `org.w3c.dom.Node`

### lookupPrefix

    public java.lang.String lookupPrefix(java.lang.String arg0)

  Deprecated.
  Specified by:
    `lookupPrefix` in interface `org.w3c.dom.Node`

### normalizeDocument

    public void normalizeDocument()

  Deprecated.
  Specified by:
    `normalizeDocument` in interface `org.w3c.dom.Document`

### renameNode

    public org.w3c.dom.Node renameNode(org.w3c.dom.Node arg0,
                                       java.lang.String arg1,
                                       java.lang.String arg2)
                                throws org.w3c.dom.DOMException

  Deprecated.
  Specified by:
    `renameNode` in interface `org.w3c.dom.Document`
  Throws:
    `org.w3c.dom.DOMException`

### setDocumentURI

    public void setDocumentURI(java.lang.String arg0)

  Deprecated.
  Specified by:
    `setDocumentURI` in interface `org.w3c.dom.Document`

### setStrictErrorChecking

    public void setStrictErrorChecking(boolean arg0)

  Deprecated.
  Specified by:
    `setStrictErrorChecking` in interface `org.w3c.dom.Document`

### setTextContent

    public void setTextContent(java.lang.String arg0)
                        throws org.w3c.dom.DOMException

  Deprecated.
  Specified by:
    `setTextContent` in interface `org.w3c.dom.Node`
  Throws:
    `org.w3c.dom.DOMException`

### setUserData

    public java.lang.Object setUserData(java.lang.String arg0,
                                        java.lang.Object arg1,
                                        org.w3c.dom.UserDataHandler arg2)

  Deprecated.
  Specified by:
    `setUserData` in interface `org.w3c.dom.Node`

### setXmlStandalone

    public void setXmlStandalone(boolean arg0)
                          throws org.w3c.dom.DOMException

  Deprecated.
  Specified by:
    `setXmlStandalone` in interface `org.w3c.dom.Document`
  Throws:
    `org.w3c.dom.DOMException`

### setXmlVersion

    public void setXmlVersion(java.lang.String arg0)
                       throws org.w3c.dom.DOMException

  Deprecated.
  Specified by:
    `setXmlVersion` in interface `org.w3c.dom.Document`
  Throws:
    `org.w3c.dom.DOMException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD